<template>
	<view class="wrap">
		<rich-text :nodes="agreement"></rich-text>
	</view>
</template>

<script setup>
import { ref } from 'vue'
import { getAgreement } from '@/services/common'

const agreement = ref({})
const fetchAgreement = () => {
	getAgreement().then(res => {
		agreement.value = res.data.content
	})
}
fetchAgreement()
</script>

<style lang="scss" scoped>
	.wrap {
		min-height: 100vh;
		background-color: #fff;
		padding: 0 30rpx;
	}
</style>